package com.ruoyi.model.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.model.domain.AppBanner;

/**
 * 轮播图Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-04
 */
public interface AppBannerMapper {
    /**
     * 查询轮播图
     * 
     * @param id 轮播图主键
     * @return 轮播图
     */
    public AppBanner selectAppBannerById(Long id);

    /**
     * 查询轮播图列表
     * 
     * @param appBanner 轮播图
     * @return 轮播图集合
     */
    public List<AppBanner> selectAppBannerList(AppBanner appBanner);

    /**
     * 新增轮播图
     * 
     * @param appBanner 轮播图
     * @return 结果
     */
    public int insertAppBanner(AppBanner appBanner);

    /**
     * 修改轮播图
     * 
     * @param appBanner 轮播图
     * @return 结果
     */
    public int updateAppBanner(AppBanner appBanner);

    /**
     * 删除轮播图
     * 
     * @param id 轮播图主键
     * @return 结果
     */
    public int deleteAppBannerById(Long id);

    /**
     * 批量删除轮播图
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppBannerByIds(Long[] ids);

    /**
     * 查询轮播图列表
     *
     * @return 轮播图集合
     */
    public List<AppBanner> getBannerList();
}
